ARP(8)

NAME
arp - manipulate the system ARP cache

SYNOPSIS
arp [-vn] [-H type] [-i if] -a [hostname]

arp [-v] [-i if] -d hostname [pub] [nopub]

arp [-v] [-H type] [-i if] -s hostname hw_addr [temp] [nopub]

arp [-v] [-H type] [-i if] -s hostname hw_addr [netmask nm] pub

arp [-v] [-H type] [-i if] -Ds hostname ifa [netmask nm] pub

arp [-vnD] [-H type] [-i if] -f filename

DESCRIPTION
Arp manipulates the kernel's ARP cache in various ways. The primary options are clearing an address mapping entry and manually setting up one. For debugging purposes, the arp program also allows a complete dump of the ARP cache.

OPTIONS

-v, --verbose
    Tell the user what is going on by being verbose.

-n, --umeric
    shows numerical addresses instead of trying to determine symbolic host, port or user names.

-H type, --hw-type type
    When setting or reading the ARP cache, this optional parameter tells arp which class of entries it should check for. The default value of this parameter is ether (i.e. hardware code 0x01 for IEEE 802.3 10Mbps Ethernet). Other values might include network technologies such as ARCnet (arcnet) , PROnet (pronet) , AX.25 (ax25) and NET/ROM (netrom).

-a [hostname], --display [hostname]
    Shows the entries of the specified hosts. If the hostname parameter is not used, all entries will be displayed.

-d hostname, --delete hostname
    Remove any entry for the specified host. This can be used if the indicated host is brought down, for example. With recent Kernels arp(1) supports the specification of pub or nopub to decide whether a published or a private entry should be deleted. If you dont give on of those flags both entries will be removed.

-D, --use-device
    Use the interface ifa's hardware address.

-i If, --device If
    Select an Interface. When dumping the ARP cache only entries matching the Interface will be printed. Setting a permanent or temp ARP entry will be used on the specified device. If no device is given, the kernels guess the device from the routing table. For pub entries the specified interface is the interface on which ARP requests will be answered.
    NOTE: This has to be different from the interface to which the IP Packages will be routed.

-s hostname hw_addr, --set hostname
    Manually create an ARP address mapping entry for host hostname with hardware address set to hw_addr class, but for most classes one can assume that the usual presentation can be used. For the Ethernet class, this is 6 bytes in hexadecimal, separated by colons. When adding proxy arp entries (that is those with the publish flag set a netmask may be specified to proxy arp for entire subnets. Proxy arp for routing entire networks is not a good protocol, but its sometimes useful so supported. If the temp flag is not supplied entries will be permanent stored into the ARP cache.

-f filename, --file filename
    Similar to the -s option, only this time the address info is taken from file filename set up. The name of the data file is very often /etc/ethers, but this is not official.

    The format of the file is simple; it only contains ASCII text lines with a hostname, and a hardware address separated by whitespace. Additionally the pub,nopub, temp and netmask flags can be used.

In all places where a hostname is expected, one can also enter an IP address in dotted-decimal notation.

Each complete Entry in the ARP cache will be marked with the C flag. Permanent entries are marked with M and published entries have the P flag.

FILES
/proc/net/arp,
/etc/networks
/etc/hosts
/etc/ethers

AUTHOR
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org> with a lot of improvements from net-tools Maintainer Bernd Eckenfels <net-tools@lina.inka.de>.